Skip to Main Content

Programming Languages & Frameworks

Announcement

For appeals, questions and feedback, please email oracle-forums_moderators_us@oracle.com

Node.js: Oracle Insta Client Upgrade 64 bit

user-6vx6qJul 13 2023 — edited Jul 13 2023

Hi, I have upgraded oracle insta client V19 - 64 bit on production server(windows), I have also uninstalled older VC2010, however now I am getting below error when i try to access my website:

stack": "Error: DPI-1047: Cannot locate a 64-bit Oracle Client library: \"The specified module could not be found\". See https://oracle.github.io/node-oracledb/INSTALL.html for help\n at OracleDb.initOracleClient (C:\\inetpub\\wwwroot\\associationtool.qa\\node_modules\\oracledb\\lib\\oracledb.js:144:10)\n at Object.init (C:\\inetpub\\wwwroot\\associationtool.qa\\node_modules\\compmast-adapter\\dist\\adapter.js:30:18)\n at C:\\inetpub\\wwwroot\\associationtool.qa\\src\\main.ts:34:11\n at Generator.next (<anonymous>)\n at C:\\inetpub\\wwwroot\\associationtool.qa\\build\\main.js:8:71\n at new Promise (<anonymous>)\n at __awaiter (C:\\inetpub\\wwwroot\\associationtool.qa\\build\\main.js:4:12)\n at bootstrap (C:\\inetpub\\wwwroot\\associationtool.qa\\build\\main.js:29:12)\n at Object.<anonymous> (C:\\inetpub\\wwwroot\\associationtool.qa\\src\\main.ts:89:1)\n at Module._compile (node:internal/modules/cjs/loader:1254:14)",
"@t": "2023-07-13T11:21:41.222Z",
"@l": "error",
"@m": "DPI-1047: Cannot locate a 64-bit Oracle Client library: \"The specified module could not be found\". See https://oracle.github.io/node-oracledb/INSTALL.html for help",
"pid": 9060

Can you please guide on this

Comments
Post Details
Added on Jul 13 2023
2 comments
303 views